package com.qs.mp.user.domain.param;

import com.qs.mp.common.enums.DeliverOrderResourceEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 提货订单取消入参类
 * @author Cup
 * @date 2022/5/25
 */
@ApiModel("提货订单取消入参类")
@Data
public class UserDeliverOrderCancelParam {

    @NotBlank(message = "订单号不能为空")
    @ApiModelProperty("订单号")
    private String orderId;

    @ApiModelProperty("订单来源:1提货订单,2现金购买")
    private DeliverOrderResourceEnum resource;
}
